/***************************************************************************
 *   Copyright (C) 2003 by Flameeyes                                       *
 *   dgp85@users.sourceforge.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef APPLETCONFIG_H
#define APPLETCONFIG_H

#include "dialogs/uiappletconfig.h"
#include "bioritmiapplet.h"

class KConfig;
class BioritmiApplet;

/**
@author Flameeyes
*/
class appletconfig : public uiAppletConfig
{
Q_OBJECT
public:
	appletconfig(BioritmiApplet *parent);
	appletconfig(QWidget *parent, const char* name = "config");
	
	~appletconfig();

public slots:
	void accept();

protected:
	KConfig *ksConfig;
	void load();
};

#endif
